/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.validation.client;

/**
 * Users and Validation providers implement this to resolve ValidationMessages
 */
public interface ValidationMessageResolver {

  /**
   * Lookup the value of the given key.
   *
   * @param key the key to find
   * @return the value of the key or {@code null} if not found.
   */
  String get(String key);
}